export declare function getContextManager(browser: WebdriverIO.Browser): ContextManager;
/**
 * This class is responsible for managing context in a WebDriver session. Many BiDi commands
 * require to be executed in a specific context. This class is responsible for keeping track
 * of the current context and providing the current context the user is in.
 */
export declare class ContextManager {
    #private;
    constructor(browser: WebdriverIO.Browser);
    initialize(): Promise<boolean>;
    setCurrentContext(context: string): void;
    getCurrentContext(): Promise<string>;
}
//# sourceMappingURL=context.d.ts.map